<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="Consumer system">
    <meta name="author" content="Richard Bláha">
    <link rel="icon" href="../../favicon.ico">

    <title>Zákaznický systém - administrace</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/signin.css" rel="stylesheet">


</head>

<body>
<?php
    session_start();
/**
 * script pro přihlašování administrátora služby
 */
    include 'hash.php';
    $hash = new Hash();

/**
 * nejdříve se zkontroluje, zda již není admin přihlášen .. pokud ano, je přesměrován na přehled zákazníků
 */
    if (array_key_exists('loggedAdmin',$_SESSION)) {
        header("Location: dashboard.php");
        /**
         * pokud není, tak se provede přihlášení
         */
    } else {
        if ((array_key_exists('state',$_GET)) && $_GET['state'] == 'false') {
            echo "
            <div class='container container_padding text-center'>
	    	<div class='alert alert-danger' role='alert''>Přihlášení se nezdařilo. Zadaný login a heslo nesedí. V případě nutnosti obnovy hesla kontaktujte administrátora.</div>
            </div>";
        }
        ?>
        <div class="container">
            <form class="form-signin" role="form" method="post">
                <h2 class="form-signin-heading">Přihlášení</h2>
                <input type="text" name="login" class="form-control" placeholder="Login" required autofocus>
                <input type="password" name="password" class="form-control" placeholder="Heslo" required>
                <label>
                    <input type="checkbox" name="remember-login" value="yes"> Zapamatovat si přihlášení
                </label>
                <button class="btn btn-lg btn-primary btn-block" type="submit">Přihlásit</button>
            </form>
        </div>

        <?php

        $db = new PDO(
            "mysql:host=localhost;dbname=blahari1",
            "blahari1",
            "wa1"
        );
        if (array_key_exists('login', $_POST) && array_key_exists('password', $_POST)) {
            $sql = $db->prepare('SELECT * FROM admin WHERE login = ?');
            $sql->bindParam(1, $_POST['login']);
            if ($sql->execute()) {
                while ($row = $sql->fetch()) {
                    if ($hash->verify($_POST['password'],$row['password'])) {
                        $_SESSION['loggedAdmin'] = 'true';
                        header('Location: dashboard.php');
                    }
                    else {
                        header("Location: admin.php?state=false");
                    }
                    exit;
                }
                header("Location: admin.php?state=false");
            } else {
                header("Location: admin.php?state=false");
            }
        }

    }
?>

<!-- Bootstrap core JavaScript
================================================== -->
<!-- Placed at the end of the document so the pages load faster -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
<script src="../../dist/js/bootstrap.min.js"></script>
<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
<script src="../../assets/js/ie10-viewport-bug-workaround.js"></script>
</body>
</html>
